### Constructor

# Gtk.ListStore.newv

#### Declaration [src]

    GtkListStore*
    gtk_list_store_newv (
      int n_columns,
      GType* types
    )

#### Description [src]

Non-vararg creation function. Used primarily by language bindings.

#### Parameters

`n_columns` | `int`
| number of columns in the list store
`types` | An array of `GType`
| an array of `GType` types for the columns, from first to last
| The length of the array is in the `n_columns` argument
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkListStore`
a new `GtkListStore`
Ownership of the data is transferred to the caller